## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcAwsWindow Struct Reference

This is the AWS Window property class. More...

`#include <propclass/awswin.h>`

List of all members.

## Public Member Functions

virtual iAwsSink * | CreateSink (const char *name)=0
| Create the sink.
virtual iAwsWindow * | CreateWindow (const char *name)=0
| Create the window.
virtual iAws * | GetAWS ()=0
| Get AWS.
virtual iAwsWindow * | GetWindow ()=0
| Get the window.

## Detailed Description

This is the AWS Window property class.

This property class can send out the following messages to the behaviour (add prefix 'cel.parameter.' to get the ID for parameters):

- pcawswin_<trigger>: a specific trigger from AWS has been fired.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- LoadDefinitionFile: parameters 'filename' (string).
- SelectDefaultSkin: parameters 'name' (string).
- CreateWindow: parameters 'name' (string).
- CreateSink: parameters 'name' (string).
- RegisterTrigger: parameters 'trigger' (string).
- Show: no parameters.
- Hide: no parameters.
- Raise: no parameters.
- Lower: no parameters.

Definition at line 52 of file awswin.h.

## Member Function Documentation

virtual iAwsSink* iPcAwsWindow::CreateSink | ( | const char * | name | ) | `[pure virtual]`

| Create the sink.

virtual iAwsWindow* iPcAwsWindow::CreateWindow | ( | const char * | name | ) | `[pure virtual]`

| Create the window.

virtual iAws* iPcAwsWindow::GetAWS | ( |  | ) | `[pure virtual]`

| Get AWS.

virtual iAwsWindow* iPcAwsWindow::GetWindow | ( |  | ) | `[pure virtual]`

| Get the window.

The documentation for this struct was generated from the following file:

- propclass/awswin.h